Summary: The Biopython Project
Name: biopython
Version: 1.47
Release: %mkrel 2
Source0: http://biopython.org/files/%{name}-%{version}.tar.gz
License: BSD
Group: Development/Python
BuildRoot: %{_tmppath}/%{name}-buildroot
Url: http://biopython.org/
BuildRequires: python-devel
BuildRequires: python-numeric-devel python-numeric
BuildRequires: egenix-mx-base
BuildRequires: python-reportlab
BuildRequires: gcc
BuildRequires: epydoc
BuildRequires: dos2unix

%package -n python-Bio
Summary: Python modules from the Biopython Project
Group: Sciences/Biology
Requires: python-numeric
Requires: python-reportlab
Requires: egenix-mx-base
Requires: python-Martel = %{version}
Provides: biopython = %{version}
Obsoletes: biopython

%package tools
Summary: Regression testing code and miscellaneous, possibly useful, standalone scripts
Requires: %{name} = %{version}
Group: Sciences/Biology

%package -n python-Martel
Summary: Biopython parser generator
Group: Development/Python
Provides: biopython-martel = %{version}
Obsoletes: biopython-martel

%package -n python-BioSQL
Summary: Code for using Biopython with BioSQL databases
Requires: %{name} = %{version}
Group: Development/Python
Requires: pyPgSQL
Requires: MySQL-python
Provides: biopython-biosql = %{version}
Obsoletes: biopython-biosql

%package doc
Summary: The Biopython Project documentation
Group: Development/Python
Requires: %{name} = %{version}

%description
The Biopython Project is an international association of developers of
freely available Python tools for computational molecular biology.

http://biopython.org provides an online resource for modules,
scripts, and web links for developers of Python-based software for
life science research.

%description -n python-Bio
This package provides various Python modules from the Biopython Project 
used to process biological data.

%description tools
This package provides various scripts and tests that are comprised by the
Biopython Project.

%description -n python-Martel
Martel uses a modified form of the Perl regular expression language to 
describe the format of a file. The definition is used to generate a 
parser for that format. An input file is converted into a parse tree, 
which is traversed in prefix order to generate SAX 2.0 events, as used 
in XML processing. Element names and attributes are specified in the 
regular expression grammar using the named group extension popularized 
by Python. 

The events can be used by any SAX handler. Some of the common handlers 
can: build a DOM tree or any other data structures, load an XML database,
identify specific data fields (accession number, sequence, cross 
reference), find the record start and end positions, and drive an XSL 
transformation. 

%description -n python-BioSQL
BioSQL is meant to be a common data storage layer supported by all the
different Bio* projects, Bioperl, Biojava, Biopython, and Bioruby.
Entries stored through an application written in, say, Bioperl could
be retrieved by another written in Biojava.

%description doc
This package provides the documentation for the various components of the 
Biopython Project.

%prep
%setup -q

rm -f Tests/CodonUsage/.DS_Store
# remove CVS dirs
find -type d -name CVS | xargs rm -rf 
# convert wrong end of line
find -type f -exec dos2unix -b -U {} \;

%build
yes | python setup.py build

# build api
yes | epydoc -o api Bio Martel BioSQL

%install
yes | python setup.py install --root=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%_datadir/%{name}-%{version} 
cp -r Tests Scripts $RPM_BUILD_ROOT/%_datadir/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files -n python-Bio
%defattr(-,root,root,0755)
%py_platsitedir/Bio
%py_platsitedir/*.5.egg-info
%doc CONTRIB LICENSE NEWS README

%files tools
%defattr(-,root,root,0755)
%_datadir/%{name}-%{version}/Tests
%_datadir/%{name}-%{version}/Scripts

%files -n python-Martel
%defattr(-,root,root,0755)
%py_platsitedir/Martel
%doc LICENSE

%files -n python-BioSQL
%defattr(-,root,root,0755)
%py_platsitedir/BioSQL
%doc LICENSE

%files doc
%defattr(-,root,root,0755)
%doc Doc/*.pdf Doc/examples/ Doc/cookbook/*/*.pdf
%doc api


%changelog
* Mon Sep 15 2008 Lev Givon <lev@mandriva.org> 1.47-2mdv2008.1
+ Revision: 284834
- Make doc fix really work.

* Mon Sep 08 2008 Lev Givon <lev@mandriva.org> 1.47-1mdv2009.0
+ Revision: 282429
- Fix busted Tutorial.pdf.
  Don't include doc making files.
- Update to 1.47.

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.44-3mdv2009.0
+ Revision: 243315
- rebuild

* Thu Feb 07 2008 Gaëtan Lehmann <glehmann@mandriva.org> 1.44-1mdv2008.1
+ Revision: 163691
- 1.44

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Aug 27 2007 Gaëtan Lehmann <glehmann@mandriva.org> 1.43-1mdv2008.0
+ Revision: 72168
- 1.43


* Wed Jan 31 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1.42-2mdv2007.0
+ Revision: 115728
- Rebuild against new python
- Import biopython

* Fri Aug 11 2006 glehmann
+ 08/10/06 17:59:58 (55453)
update to 1.42

* Mon Jul 31 2006 glehmann
+ 07/30/06 09:51:44 (42642)
Import biopython

* Fri Jul 01 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.40-0.20050420.3mdk
- rename packages

* Mon May 23 2005 Gaetan Lehmann <glehmann@n4.mandrakesoft.com> 1.40-0.20050420.2mdk
- add missing buildrequires

* Thu Apr 21 2005 Gaetan Lehmann <glehmann@n4.mandrakesoft.com> 1.40-0.20050420.1mdk
- cvs update
- use mkrel

* Fri Apr 01 2005 Gaetan Lehmann <glehmann@n4.mandrakesoft.com> 1.40-0.20050331.1mdk
- cvs update

* Sun Mar 20 2005 Gaetan Lehmann <glehmann@n4.mandrakesoft.com> 1.40-0.cvs20050320.1mdk
- cvs update

* Sun Mar 06 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.40-0.cvs20050306.1mdk
- cvs update

* Tue Feb 22 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.40-0.cvs20050222.1mdk
- cvs update

* Thu Feb 17 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.40-0.cvs20050217.1mdk
- cvs update
- add build section
- fix some lint

* Tue Feb 15 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.40-0.cvs20050215.1mdk
- 1.40 cvs

* Thu Feb 10 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.30-3mdk 
- patch for python 2.4 (from freshports.org)
- fix path for python 2.4
- add api
- fix some lints

* Sat Oct 16 2004 Michael Scherer <misc@mandrake.org> 1.30-2mdk 
- fix Requires, #12092
- fix BuildRequires

* Wed Sep 01 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.30-1mdk
- from Gaetan Lehmann <glehmann@netcourrier.com> :
	- Create package from scratch for mandrake system

